For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create new admin user for contract

post
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Path parameters
contractNumberinteger · int64Required
Body
firstNamestringRequired

first name of the user

lastNamestringRequired

last name of the user

emailstringRequired

email of the user

passwordstringRequired

password of the user

Responses
201

Success

application/json
post/contracts/{contractNumber}/admins
POST /reseller/v2/contracts/{contractNumber}/admins HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 71

{
  "firstName": "text",
  "lastName": "text",
  "email": "text",
  "password": "text"
}
{
  "id": "15514",
  "href": "https://api.ionos.com/reseller/v2/contract/15514/admin/5533",
  "firstName": "text",
  "lastName": "text",
  "email": "text"
}

Last updated

Was this helpful?